<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-kendaraan-heading" data-cy="KendaraanCreateUpdateHeading">Create or edit a Kendaraan</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_kondisi">Kondisi</label>
          <input type="text" class="form-control" name="kondisi" id="field_kondisi" data-cy="kondisi" formControlName="kondisi" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_roda">Roda</label>
          <input type="number" class="form-control" name="roda" id="field_roda" data-cy="roda" formControlName="roda" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_merk">Merk</label>
          <input type="text" class="form-control" name="merk" id="field_merk" data-cy="merk" formControlName="merk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tipe">Tipe</label>
          <input type="text" class="form-control" name="tipe" id="field_tipe" data-cy="tipe" formControlName="tipe" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_warna">Warna</label>
          <input type="text" class="form-control" name="warna" id="field_warna" data-cy="warna" formControlName="warna" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tahunPembuatan">Tahun Pembuatan</label>
          <input
            type="text"
            class="form-control"
            name="tahunPembuatan"
            id="field_tahunPembuatan"
            data-cy="tahunPembuatan"
            formControlName="tahunPembuatan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noRangka">No Rangka</label>
          <input type="text" class="form-control" name="noRangka" id="field_noRangka" data-cy="noRangka" formControlName="noRangka" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noMesin">No Mesin</label>
          <input type="text" class="form-control" name="noMesin" id="field_noMesin" data-cy="noMesin" formControlName="noMesin" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noBpkb">No Bpkb</label>
          <input type="text" class="form-control" name="noBpkb" id="field_noBpkb" data-cy="noBpkb" formControlName="noBpkb" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nilaiObjekJaminan">Nilai Objek Jaminan</label>
          <input
            type="number"
            class="form-control"
            name="nilaiObjekJaminan"
            id="field_nilaiObjekJaminan"
            data-cy="nilaiObjekJaminan"
            formControlName="nilaiObjekJaminan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_ppk">Ppk</label>
          <select class="form-control" id="field_ppk" data-cy="ppk" name="ppk" formControlName="ppk" [compareWith]="comparePpk">
            <option [ngValue]="null"></option>
            @for (ppkOption of ppksSharedCollection; track $index) {
              <option [ngValue]="ppkOption">{{ ppkOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
